//
//  GridViewTemplateWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/18/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class GridViewTemplateWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "GridViewTemplate", bundle: nil)

    // MARK: - Module setup -

    init() {
        let moduleViewController = storyboard.instantiateViewController(ofType: GridViewTemplateViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = GridViewTemplateInteractor()
        let presenter = GridViewTemplatePresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension GridViewTemplateWireframe: GridViewTemplateWireframeInterface {
}
